extensions / Orders
POST
/api/projects/{project_id}/sales/orders/attributesPOST /api/projects/{project_id}/sales/orders/attributes
A description is not available in the current release metadata.
GETPOST
Code examples
Integration
POST /api/projects/{project_id}/sales/orders/attributes
Environment
BASE_URLcurl --request POST \
--url "${BASE_URL}/api/projects/example_project_id/sales/orders/attributes" \
--header "Content-Type: application/json" \
--data @request.jsonResponse
Response examples are not available in the current release metadata.
Authentication
Authentication requirements are not specified for this operation.
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Headers
Path Parameters
| Name | Required | Type |
|---|---|---|
project_id | Yes | Not specified |
Query Parameters
Request Body
Schema: CreateOrderAttributeRequest
| Field | Required | Type |
|---|---|---|
attribute_code | Yes | Not specified |
default_label | No | Not specified |
input_type | Yes | Not specified |
is_required | No | Not specified |
default_value | No | Not specified |
placeholder | No | Not specified |
min_text_length | No | Not specified |
max_text_length | No | Not specified |
min_date | No | Not specified |
max_date | No | Not specified |
allowed_extensions | No | Not specified |
max_file_size | No | Not specified |
Response Body
Errors
Availability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified